Link an existing connection to an environment
curl --request POST \
--url https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connectionTemplateId": "<string>"
}
'import requests
url = "https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link"
payload = { "connectionTemplateId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connectionTemplateId: '<string>'})
};
fetch('https://platform.versori.com/api/v2/o/{organisation_id}/connections/{connection_id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"message": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
],
"details": "<string>"
}connections
Link an existing connection to an environment
LinkConnectionToEnvironment links an existing connection to a specified environment.
POST
/
o
/
{organisation_id}
/
connections
/
{connection_id}
/
link
Link an existing connection to an environment
Authorizations
bearerTokencookie
Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.
Body
application/json
LinkConnectionEnvironment is the request payload to link an existing connection to an environment.
This is the ID of the template that the connection is created against.
Response
Created
⌘I